List User Extractions
curl --request GET \
--url https://api.example.com/api/v1/user-extractions/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/user-extractions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/user-extractions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"extractions": [
{
"id": "<string>",
"user_id": "<string>",
"filename": "<string>",
"title": "<string>",
"source": "<string>",
"record_count": 123,
"file_size": 123,
"is_excel": true,
"created_at": "2023-11-07T05:31:56Z",
"extraction_date": {}
}
],
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}user-extractions
List User Extractions
List all available extractions for the authenticated user.
Returns all extractions from the Chrome extension (PitchBook, LinkedIn, etc.).
Args: current_user: Authenticated user information settings: Application settings limit: Maximum number of extractions to return (default: 50) offset: Number of extractions to skip (default: 0) source: Optional filter by extraction source (e.g., ‘PitchBook’)
Returns: List of available extractions with metadata
GET
/
api
/
v1
/
user-extractions
/
List User Extractions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I